---
id: 66adbc8a9793d64250f7e609
title: Step 9
challengeType: 1
dashedName: step-9
---

# --description--

In previous lessons, you learned how to reassign values to variables like this:

```js
let name = "John";
console.log(name); // "John"

name = "Jane";
console.log(name); // "Jane"
```

Using reassignment, assign the string `"professorBot"` to the `bot` variable.

# --hints--

You should assign the string `"professorBot"` to the `bot` variable.

```js
assert.strictEqual(bot, "professorBot");
```

# --seed--

## --seed-contents--

```js
console.log("Hi there!");
console.log("I am excited to talk to you.");
let bot;
bot = "teacherBot";

let botLocation = "the universe";

console.log("Allow me to introduce myself.");

const botIntroduction = "My name is " + bot + ".";
console.log(botIntroduction);

const botLocationSentence = "I live in " + botLocation + ".";
console.log(botLocationSentence);

--fcc-editable-region--

--fcc-editable-region--
```
